Bug 149626 - can't set shortcuts in Manage profiles by typing shortcut itself
Summary: can't set shortcuts in Manage profiles by typing shortcut itself
Status: RESOLVED FIXED
Alias: None
Product: konsole
Classification: Unclassified
Component: general (show other bugs)
Version: 1.9.2
Platform: Compiled Sources Linux
: NOR normal (vote)
Target Milestone: ---
Assignee: Konsole Developer
URL:
Keywords:
Depends on:
Blocks:
 
Reported: 2007-09-07 12:31 UTC by clcevboxvjeo
Modified: 2008-03-31 20:12 UTC (History)
0 users

See Also:
Latest Commit:
Version Fixed In:


Attachments

Note You need to log in before you can comment on or make changes to this bug.
Description clcevboxvjeo 2007-09-07 12:31:25 UTC
Version:            (using KDE Devel)
Installed from:    Compiled sources

In the new konsole 1.9.2 from KDE beta2 I can't set shortcuts for opening a new tab with a custom profile. Selecting the File menu and right-clicking the profile name shows a context menu with an option "Configure Shortcut" but this option does nothing.
Comment 1 Robert Knight 2007-09-08 15:45:14 UTC
Hi,

You can set shortcuts for custom profiles, but using the Manage Profiles dialog.  ( Settings -> Manage Profiles ) and entering the shortcut in the third column.

There is a bug currently that the changes do not take effect until you create a new window or restart Konsole.

I didn't know about the right-click popup menu for menu items.  I'll have to look at that.

Comment 2 clcevboxvjeo 2007-09-09 23:55:30 UTC
How could I have not noticed? Thanks for pointing out.

But one more improvement could be done: new shortcuts could be entered using the "input button" like in the Settings-Configure shortcuts dialog and not by typing the all the letters like C t r l + ... you know.
Comment 3 Will Stephenson 2007-11-22 21:43:01 UTC
Pinch the code from the Configure Shortcuts dialog.
Comment 4 Robert Knight 2008-03-31 20:12:44 UTC
SVN commit 792245 by knight:

BUG: 149626 - Use the KDE shortcut editor widget to edit shortcuts in the Manage Profiles dialog.

(Requires recent kdelibs rv. 792234 for the 'Clear' button to work)

Squashed commit of the following:

commit d60cba88cc4c4027220558cf6fe5487022beb767
Author: Robert Knight <robertknight@gmail.com>
Date:   Mon Mar 31 19:05:00 2008 +0100

    Make the Favorite column toggle respond to double click events as well so that quick clicks in succession are not ignored.

commit 5dd0730a2a838a88d50a91dc7a70ec2ffda23c4b
Author: Robert Knight <robertknight@gmail.com>
Date:   Mon Mar 31 19:02:33 2008 +0100

    Allow more width for the Shortcut column in the Manage Profiles dialog so that the shortcut editor has enough room.

commit 2271b154b1d3c03442827b7553a827ab0b199344
Author: Robert Knight <robertknight@gmail.com>
Date:   Mon Mar 31 17:58:14 2008 +0100

    Do not draw shortcut text whilst a shortcut is being edited.  Move styled background drawing into new class.

commit 4b06713f63d41b0df22fa2e03ab3f7e90be8ab9f
Author: Robert Knight <robertknight@gmail.com>
Date:   Mon Mar 31 17:35:57 2008 +0100

    Prevent profile shortcut being cleared as soon as editing starts - do not connect to the keySequenceChanged() signal until after the existing shortcut has been applied to the editor.  Change edit triggers for table view to start editing when a selected item is clicked.

commit 84ff71e40a1e6b9993c45d8fc17c6aba3a5e25a5
Author: Robert Knight <robertknight@gmail.com>
Date:   Mon Mar 31 17:09:07 2008 +0100

    Use KDE shortcut edit widget to edit shortcuts in Manage Profiles dialog.  Rename ProfileItemDelegate to FavoriteItemDelegate and introduce a new ShortcutItemDelegate for the shortcut column which uses KKeySequenceWidget to edit shortcuts.


 M  +77 -12    ManageProfilesDialog.cpp  
 M  +33 -3     ManageProfilesDialog.h  


WebSVN link: http://websvn.kde.org/?view=rev&revision=792245